読者です 読者をやめる 読者になる 読者になる

牌語備忘録 -pygo

あくまでもメモです。なるべくオフィシャルの情報を参照してください。

牌語備忘録 -pygo

MacPortsでインストールした rbenv のバージョンが古いので GitHub の最新版を使う場合のメモ

Ruby MacOSX

(MacOSX10.8)

前置き

  • 現時点で MacPorts でインストールできる rbenv は ver.0.3(最新 ver.0.4)
  • それから ruby-build @20121022 も古いままで、リストに 2.0.0-p0 が無い(2.0.0-devだけ)
  • 想定以上にMacPortsとか使わないでのインストールが簡単だった。

MacPortsでインストールしたものアンインストール

$ sudo port uninstall rbenv
$ sudo port uninstall ruby-build

手順

$ sudo git clone git://github.com/sstephenson/rbenv.git ~/.rbenv
$ sudo mkdir -p ~/.rbenv/plugins
$ sudo git clone https://github.com/sstephenson/ruby-build.git ~/.rbenv/plugins/ruby-build
$ echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
$ echo 'eval "$(rbenv init -)"' >> ~/.bashrc
$ sudo mkdir ~/.rbenv/shims
$ sudo mkdir ~/.rbenv/versions
$ source ~/.bashrc
$ rbenv install -l
Available versions:
  1.8.6-p383
  1.8.6-p420
  1.8.7-p249
  :
$ sudo rbenv install 1.9.3-p392
$ sudo rbenv rehash
$ rbenv versions
* system (set by /Users/username/.rbenv/version)
  1.9.3-p392
$ sudo rbenv global 1.9.3-p392
$ rbenv versions
  system
* 1.9.3-p392 (set by /Users/username/.rbenv/version)
$ gem list

*** LOCAL GEMS ***

bigdecimal (1.1.0)
io-console (0.3)
json (1.5.5)
minitest (2.5.1)
rake (0.9.2.2)
rdoc (3.9.5)
$ sudo gem install bundler
$ sudo rbenv rehash
$ ruby -v
ruby 1.9.3p392 (2013-02-22 revision 39386) [x86_64-darwin12.3.0]

zshrc

export PATH="$HOME/.rbenv/shims:$PATH"
eval "$(rbenv init - zsh)"